<bugID>1080025<Summary>Debugger mochitest helper `initDebugger` is racy :(</Summary><Description>Because the debugger's source list is GC-sensitive (bug 944260), `initDebugger(someURL)` is inherently racy. Its current steps taken are:

1) adds a tab and navigates it to the provided URL
2) waits for the tab's load event
3) opens the debugger

Between 2 and 3, if a GC happens and collects all the scripts for a given source, then the debugger won't include that source in its list of sources. Obviously we should fix bug 944260, but that might be a little ways off. In the meantime, this isn't a theoretical race that could be triggered in our tests, but who knows if it actually is: I spent way too much of my time on bug 1076830. Ugh.

We could avoid the race if `initDebugger(someURL)` took these steps:

1) add a blank tab
2) open the debugger
3) navigate to the provided URL
4) wait for the load event</Description></bugID>